Skip to main content
GET
/
api
/
cloud-integrations
/
s3-storage-transfer
/
setup
Get role-based S3 import setup
curl --request GET \
  --url https://api-prod.nomadicml.com/api/cloud-integrations/s3-storage-transfer/setup \
  --header 'Authorization: Bearer <token>'
{
  "provider": "<string>",
  "auth_mode": "<string>",
  "project_id": "<string>",
  "google_service_account_email": "<string>",
  "google_service_account_subject_id": "<string>",
  "aws_trust_policy_template": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Response

Successful response.

provider
string
auth_mode
string
project_id
string
google_service_account_email
string
google_service_account_subject_id
string
aws_trust_policy_template
object